GPIOD-SYSFS-PROXY(1)

NAME
gpiod-sysfs-proxy - emulate the Linux GPIO sysfs interface using libgpiod

DESCRIPTION
usage: gpiod-sysfs-proxy [-h] [-f] [-o OPT[,OPT...]] [-d] [-V] mountpoint

Emulate the deprecated Linux GPIO sysfs interface using the modern libgpiod character device API.

  POSITIONAL ARGUMENTS:

mountpoint
    directory to mount the virtual GPIO sysfs filesystem over (typically /sys/class/gpio)

  OPTIONS:

-h, --help
    show this help message and exit

-f, --foreground
    run in the foreground instead of daemonising

-o, --options OPT[,OPT...]
    pass comma-separated mount options through to FUSE; may be given multiple times (e.g. -o allow_other,default_permissions)

-d, --debug-fuse
    enable FUSE debug output (implies foreground operation)

-V, --version
    show the program version and exit